=== requirements.txt ===
# Core dependencies
# `vtk` must be explicitly installed
# It is critical that VTK is *not* listed here.
#  This is to prevent installing `vtk` from PyPI
#  when using a custom variant like `vtk_osmesa`
#  which we do in some of our CI jobs.
matplotlib<3.9.1
numpy<1.27.0
pillow<10.2.0
pooch<1.9.0
scooby>=0.5.1,<0.10.0
