=== examples_trame/requirements.txt ===
pyvista
trame>=2.5.2
trame-vtk>=2.5.8
trame-vuetify>=2.3.1
