=== debian/changelog ===
python-pyvista (0.43.10-5) unstable; urgency=medium

  * Skip more tests that have failed on debci while testing 0.43.10-4

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 29 Jun 2024 06:10:04 +0000

python-pyvista (0.43.10-4) unstable; urgency=medium

  * Print pyvista report before starting autopkgtest session, since it may be
    useful to have those info when reporting issues upstream.
  * autopkgtest randomly segfaults when running pytest on debci. Take the
    following measures to investigate the segmentation faults:
    - increase pytest verbosity with -vv, so that test names are printed
    - randomize test order: this should help us determine if segfaults are
      happening after a specific test, or after a specific amount of tests have
      been run
  * Skip test_compute_derivatives on autopkgtest, since I have seen it segfault
    at least once on my laptop
  * Skip test_utilities_namespace on autopkgtest, since it does not emit the
    expected warning. This may be a side effect of test randomization, but
    investigating segmentation faults that affect the possibility of running the
    testsuite at all must take priority over checking that a handful of warnings
    are correctly emitted
  * Skip test_contour_labeled, test_contour_labeled_with_smoothing and
    test_contour_labeled_with_boundary_output_style due to max value tested in
    the assert being different from the expected one

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 25 Jun 2024 12:53:50 +0000

python-pyvista (0.43.10-3) unstable; urgency=medium

  * Require xauth when running autopkgtest, because it is internally called by
    xvfb-run

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 23 Jun 2024 12:20:14 +0000

python-pyvista (0.43.10-2) unstable; urgency=medium

  * Let xvfb-run handle starting and stopping the virtual X frame buffer while
    running tests in autokpgtest

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 23 Jun 2024 05:31:23 +0000

python-pyvista (0.43.10-1) unstable; urgency=medium

  * New upstream release
  * Drop a sentence from the package description, because it refers to
    information that is not actually available in the description itself.
  * Standards-Version: 4.7.0 (routine-update)
  * Add missing build-dependency on python3-setuptools.
  * Refresh autopkgtest skips due to new tests in 0.43.10
  * Allow autopkgtest to use internet, because some data files used in tests are
    downloaded from the internet on the fly
  * In autopkgtest, make xvfb immune to hangups by running it with nohup,
    otherwise pytest may segfault as soon as xvfb closes

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 22 Jun 2024 16:45:16 +0000

python-pyvista (0.43.2-1) unstable; urgency=medium

  * Initial release (Closes: #1001105)

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jan 2024 22:51:10 +0100
