=== debian/control ===
Source: python-pyvista
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Francesco Ballarin <francesco.ballarin@unicatt.it>,
           Drew Parsons <dparsons@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-colorcet <!nocheck>,
               python3-imageio <!nocheck>,
               python3-numpy <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-meshio <!nocheck>,
               python3-pil <!nocheck>,
               python3-pooch <!nocheck>,
               python3-scooby <!nocheck>,
               python3-vtk9 <!nocheck>,
               python3-setuptools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/python-pyvista
Vcs-Git: https://salsa.debian.org/science-team/python-pyvista.git
Homepage: https://github.com/pyvista/pyvista/
Rules-Requires-Root: no

Package: python3-pyvista
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Description: Python3 high-level API to the Visualization Toolkit (VTK)
 PyVista is a helper module for the Visualization Toolkit (VTK) that
 wraps the VTK library through NumPy and direct array access through a
 variety of methods and classes. This package provides a Pythonic, well-
 documented interface exposing VTK's powerful visualization backend to
 facilitate rapid prototyping, analysis, and visual integration of
 spatially referenced datasets.
 .
 This module can be used for scientific plotting for presentations and
 research papers as well as a supporting module for other mesh 3D
 rendering dependent Python modules.
 .
  * Pythonic VTK: a high-level API to the Visualization Toolkit (VTK)
  * mesh data structures and filtering methods for spatial datasets
  * 3D plotting made simple and built for large/complex data geometries
