=== debian/tests/control ===
Tests: run-unit-tests
Depends: @, @builddeps@,
 python3,
 python3-hypothesis,
 python3-ipython,
 python3-pytest,
 python3-pytest-random-order,
 python3-tqdm,
 x11-xserver-utils,
 xauth,
 xvfb
Restrictions: needs-internet
