=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,8 @@
 #  when using a custom variant like `vtk_osmesa`
 #  which we do in some of our CI jobs.
 matplotlib<3.9.1
-numpy<1.27.0
-pillow<10.2.0
+numpy<2.1.0
+pillow<10.5.0
 pooch<1.9.0
-scooby>=0.5.1,<0.10.0
+scooby>=0.5.1,<0.11.0
+typing-extensions<4.13.0
