=== examples_trame/requirements.txt ===
trame>=2.5.2,<3.6.4
trame-vtk>=2.5.8,<2.8.10
trame-vuetify>=2.3.1,<2.6.1
