=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-pil <!nocheck>,
                python3-pooch <!nocheck>,
                python3-scooby <!nocheck>,
-               python3-vtk9 <!nocheck>,
+               python3-vtk9 | python3-paraview <!nocheck>,
                python3-setuptools
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-pyvista
@@ -25,10 +25,13 @@
 Rules-Requires-Root: no
 
 Package: python3-pyvista
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${python3:Depends},
-         ${misc:Depends}
+Architecture: all
+Depends: python3-imageio,
+ python3-meshio,
+ ${python3:Depends},
+ ${misc:Depends}
+Recommends: python3-colorcet
+Suggests: python3-trimesh
 Description: Python3 high-level API to the Visualization Toolkit (VTK)
  PyVista is a helper module for the Visualization Toolkit (VTK) that
  wraps the VTK library through NumPy and direct array access through a
