=== debian/tests/control ===
--- 
+++ 
@@ -9,4 +9,16 @@
  x11-xserver-utils,
  xauth,
  xvfb
+
+Tests: run-unit-tests-network
+Depends: @, @builddeps@,
+ python3,
+ python3-hypothesis,
+ python3-ipython,
+ python3-pytest,
+ python3-pytest-random-order,
+ python3-tqdm,
+ x11-xserver-utils,
+ xauth,
+ xvfb
 Restrictions: needs-internet
