## python-pyvista 0.46.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 # Files in top level directory
 CODE_FILES ?= *.py *.rst *.md
 
-# doctest-modules-local-namespace must be off screen to avoid plotting everything
+# must be off screen to avoid plotting everything
+doctest-modules: export PYVISTA_OFF_SCREEN = True
 doctest-modules-local-namespace: export PYVISTA_OFF_SCREEN = True
 
 doctest-modules:
