=== docker/requirements.txt ===
cmocean
colorcet
imageio
imageio-ffmpeg
ipywidgets<9.0.0
jupyter-server-proxy
jupyterlab<5.0.0
meshio
trame>=2.5.2
trame-vtk>=2.5.8
trame-vuetify>=2.3.1
trimesh
