=== examples_trame/requirements.txt ===
trame>=2.5.2,<3.11.1
trame-server>=3.2.6,<3.6.0
trame-vtk>=2.8.13,<2.10.0
trame-vuetify>=2.3.1,<3.0.2
