=== debian/changelog ===
python-pyvista (0.46.3-1~exp8) experimental; urgency=medium

  * Update test skips for debci.

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 30 Oct 2025 10:28:42 +0000

python-pyvista (0.46.3-1~exp7) experimental; urgency=medium

  * Update test skips for debci.

 -- Francesco Ballarin <ballarin@debian.org>  Wed, 22 Oct 2025 15:27:55 +0000

python-pyvista (0.46.3-1~exp6) experimental; urgency=medium

  * Allow stderr for debci run-unit-tests too.
  * Update test skips for debci.

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 21 Oct 2025 11:24:05 +0000

python-pyvista (0.46.3-1~exp5) experimental; urgency=medium

  * Update test skips for debci

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 20 Oct 2025 13:57:13 +0000

python-pyvista (0.46.3-1~exp4) experimental; urgency=medium

  * Allow stderr for debci run-unit-tests-network, since at least one test
    emits "vtkXOpenGLRenderWindow: bad X server connection. DISPLAY=".
  * Update test skips for debci.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 18 Oct 2025 15:42:48 +0000

python-pyvista (0.46.3-1~exp3) experimental; urgency=medium

  * Update test skips for debci

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 14 Oct 2025 12:20:33 +0000

python-pyvista (0.46.3-1~exp2) experimental; urgency=medium

  * Require python3-aiohttp as build and test dependency. Thanks to
    Timo Röhling <roehling@debian.org for providing the patch.
  * Skip a few tests that are failing on debci

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 13 Oct 2025 09:23:22 +0000

python-pyvista (0.46.3-1~exp1) experimental; urgency=medium

  * New upstream release 0.46.3
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Update Francesco Ballarin's email address.
  * Refresh patches for compatibility with 0.46.3:
    - Add patch no_retry_requests_package.patch to avoid dependency on python
      package retry_requests.
    - Add patch skip_cmcrameri_cmocean_tests.patch to avoid dependency on
      cmcrameri and cmocean python packages, which provide additional color
      maps, but are not currently packaged by debian.
    - Add patch no_pytest_cases_package.patch to drop several tests depending on
      the pytest_cases plugin, which is currently not packaged by debian.
    - Add patches drop_pytest_image_cache_dirs_from_pyproject.patch and
      empty_no_images_to_verify_fixture.patch to remove configuration of image
      cache directories from pyproject.toml and their usage as fixtures, since
      that requires a further package prepared by the pyvista developers, and
      which is of little use for debian CI.
  * debputy lint --auto-fix (routine-update)
  * Require ffmpeg and python3-imageio-ffmpeg when running autopkgtests, since a
    few tests use imageio.plugins.ffmpeg.
  * Require python3-pandas when running autopkgtests, since
    tests/core/test_pyvista_ndarray.py requires it.
  * Require python3-pytest-mock when running autopkgtests, since several tests
    now use the mocker fixture.
  * Disable a few unit tests that fail even on amd64 arch:
    - a few download tests that fail due to vtkPNrrdReader error
      "No whole extent has been set in the information for output port 0 on
       algorithm vtkPNrrdReader"
    - tests/typing/mypy_plugin/test_plugin.py::test_promote_type_static, since
      it require mypy, and testing it is of little use for debci.
    - tests/core/test_polydata.py::test_n_faces, since it does not raise an
      attribute error when such error was expected.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 04 Oct 2025 17:23:52 +0000
