=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/pyvista/pyvista//tags (?:.*?/)?v?([012456][\d.]+)@ARCHIVE_EXT@
# There is some strange version 3.0.0 which is not considered "latest" this is ignored in this watch file
