## python-pyvista 0.46.4

=== debian/changelog ===
python-pyvista (0.46.4-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: pybuild-plugin-pyproject
    to build with pyproject.toml
  * run CI tests on all supported python versions.
    debian/tests Depends: python3-all

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Nov 2025 19:42:25 +0100
