=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-aiohttp <!nocheck>,
  python3-colorcet <!nocheck>,
