=== debian/tests/control ===
Tests: run-unit-tests
Depends: @, @builddeps@,
 ffmpeg,
 python3-all,
 python3-aiohttp,
 python3-hypothesis,
 python3-imageio-ffmpeg,
 python3-ipython,
 python3-pandas,
 python3-pytest,
 python3-pytest-mock,
 python3-pytest-random-order,
 python3-tqdm,
 x11-xserver-utils,
 xauth,
 xvfb
Restrictions: allow-stderr

Tests: run-unit-tests-network
Depends: @, @builddeps@,
 ffmpeg,
 python3-all,
 python3-aiohttp,
 python3-hypothesis,
 python3-imageio-ffmpeg,
 python3-ipython,
 python3-pandas,
 python3-pytest,
 python3-pytest-mock,
 python3-pytest-random-order,
 python3-tqdm,
 x11-xserver-utils,
 xauth,
 xvfb
Restrictions: allow-stderr, needs-internet
