## python-pyvista 0.46.5

=== debian/changelog ===
python-pyvista (0.46.5-8) unstable; urgency=medium

  * debian/tests: add test_triangle_raises to list of
    core/test_geometric_objects.py tests that regularly fail because
    input generation takes too long

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Feb 2026 11:24:56 +0100

python-pyvista (0.46.5-7) unstable; urgency=medium

  * s390x: skip test_add_text_latex
    Triggers segfault in vtkMatplotlibMathTextUtilities::RenderOneCell,
    see vtk9 Bug#1126861 (VTK upstream issue #19931)

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Feb 2026 09:26:51 +0100

python-pyvista (0.46.5-6) unstable; urgency=medium

  * tests require Depends: python3-libcst,
    used by test_warnings_converter in test_hooks.py,
    introduced by warnings_stacklevel_PR8093.diff

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Jan 2026 17:46:13 +0100

python-pyvista (0.46.5-5) unstable; urgency=medium

  * tests require Depends: python3-yaml, needed by test_hooks.py
    introduced by warnings_stacklevel_PR8093.diff

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Jan 2026 10:41:30 +0100

python-pyvista (0.46.5-4) unstable; urgency=medium

  * debian patches catch_VTK_warnings_PR7863.patch and
    warnings_stacklevel_PR8093.diff apply upstream PR#7863 and #8093
    to allow catching VTK warnings. Closes: #1126684

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Jan 2026 21:04:52 +0100

python-pyvista (0.46.5-3) unstable; urgency=medium

  * Drop python3-paraview alternative for python3-vtk9.
    Drop debian patch paraview_skip_tests.patch.
    Paraview v6 now uses external vtk (9.5), so there is only one
    vtkmodules, provided only by python3-vtk9 now.
  * run tests on default python only, since vtk9 only builds for it

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Jan 2026 10:26:33 +0100

python-pyvista (0.46.5-2) unstable; urgency=medium

  [ Drew Parsons ]
  * debian patch fix_test_regex_32bit_PR8154.patch applies upstream
    PR#8154 fixing dtype text that was breaking tests on 32-bit arches
    Closes: #1121990
  * refresh debian patches

  [ Gianfranco Costamagna ]
  * Actually add the upstream patch, for some reasons it wasn't included
    into 0.46.5

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jan 2026 23:23:23 +0100

python-pyvista (0.46.5-1) unstable; urgency=medium

  * New upstream release
    - deprecates debian patch python3.14-compatibility.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jan 2026 16:20:10 +0100

python-pyvista (0.46.4-4) unstable; urgency=medium

  * Team upload.
  * Add python3.14-compatibility.patch (Closes: #1122096), thanks to
    Rene Luria <rene.luria@infomaniak.com> for the patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Dec 2025 14:20:03 +0100

python-pyvista (0.46.4-3) unstable; urgency=medium

  * i386: skip test_voxelize_binary_mask_cell_length_sample_size
    in run-unit-tests (ValueError: negative dimensions)

 -- Drew Parsons <dparsons@debian.org>  Fri, 28 Nov 2025 16:31:36 +0100

python-pyvista (0.46.4-2) unstable; urgency=medium

  * drop debian patch test_meshio_i386_no_network.patch.
    Network connections are now permitted from i686.
  * Recommends: python3-scipy.
    Technically scipy is optional (used in tests) so not detected
    automatically by dh_python, but recommended for use with
    type-checking.

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Nov 2025 22:13:40 +0100
