=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: python-pyvista
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andreas Tille <tille@debian.org>,
  Francesco Ballarin <ballarin@debian.org>,
  Drew Parsons <dparsons@debian.org>,
 Section: science
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
- python3-all-dev,
  python3-aiohttp <!nocheck>,
+ python3-dev,
  python3-colorcet <!nocheck>,
+ python3-libcst <!nocheck>,
  python3-imageio <!nocheck>,
- python3-numpy <!nocheck>,
  python3-matplotlib <!nocheck>,
  python3-meshio <!nocheck>,
+ python3-numpy <!nocheck>,
  python3-pil <!nocheck>,
  python3-pooch <!nocheck>,
+ python3-scipy <!nocheck>,
  python3-scooby <!nocheck>,
- python3-vtk9 | python3-paraview <!nocheck>,
  python3-setuptools,
+ python3-vtk9 <!nocheck>,
+ python3-yaml <!nocheck>
 Vcs-Browser: https://salsa.debian.org/science-team/python-pyvista
 Vcs-Git: https://salsa.debian.org/science-team/python-pyvista.git
 Homepage: https://github.com/pyvista/pyvista/
-Rules-Requires-Root: no
 
 Package: python3-pyvista
 Architecture: all
@@ -34,10 +35,11 @@
 Depends:
  python3-imageio,
  python3-meshio,
+ ${misc:Depends},
  ${python3:Depends},
- ${misc:Depends},
 Recommends:
  python3-colorcet,
+ python3-scipy,
 Suggests:
  python3-trimesh,
 Description: Python3 high-level API to the Visualization Toolkit (VTK)
