=== debian/tests/control ===
Tests:
 run-unit-tests,
Depends:
 ffmpeg,
 python3,
 python3-aiohttp,
 python3-libcst,
 python3-hypothesis,
 python3-imageio-ffmpeg,
 python3-ipython,
 python3-pandas,
 python3-pytest,
 python3-pytest-mock,
 python3-pytest-random-order,
 python3-scipy,
 python3-tqdm,
 python3-yaml,
 x11-xserver-utils,
 xauth,
 xvfb,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,

Tests:
 run-unit-tests-network,
Depends:
 ffmpeg,
 python3,
 python3-aiohttp,
 python3-libcst,
 python3-hypothesis,
 python3-imageio-ffmpeg,
 python3-ipython,
 python3-pandas,
 python3-pytest,
 python3-pytest-mock,
 python3-pytest-random-order,
 python3-scipy,
 python3-tqdm,
 python3-yaml,
 x11-xserver-utils,
 xauth,
 xvfb,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,
 needs-internet,
